import {RecaptchaOptions} from '../plugins/captcha/types';
export default abstract class Captcha {
  protected CAPTCHA_LOAD_TIMEOUT: number;
  protected CAPTCHA_GENERATE_TOKEN_TIMEOUT: number;
  protected MAX_RETRIES_GENERATE_TOKEN: number;
  protected MAX_RETRIES_INITIALIZE: number;

  constructor(options: RecaptchaOptions);

  initialize(): Promise<void>;

  generateToken(action?: string): Promise<string | undefined>;
  protected abstract execute(action?: string): Promise<string>;
}
