import AbstractIDealHandler from '../abstract';
import {PaymentAttempt} from '../../../../three_domain_secure/common/types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import IDealHandler from '../..';
export default class DefaultIdealHandler extends AbstractIDealHandler {
  private _selectedBank;
  constructor(parent: IDealHandler);
  mountBankList(id: string, options?: any): Promise<any>;
  getIssuerBank(): string;
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeError(error?: any): CbError;
  setClientConfig(config: any): void;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
