import AbstractIDealHandler from '../abstract';
import {PaymentAttempt} from '../../../../three_domain_secure/common/types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import IDealHandler from '../..';
import {Adyen} from '../../../../three_domain_secure/handlers/adyen/types';
export default class StripeIDealHandler extends AbstractIDealHandler {
  constructor(parent: IDealHandler);
  mountBankList(id: string, options: any): Promise<any>;

  setClientConfig(config: any): void;

  getIssuerBank(): string;
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeAdyenError(error?: Adyen.Error): CbError;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
