import ThreeDSecureHandler from '../../index';
import {CbError} from '../../../../hosted_fields/common/errors';
import Base3DSHandler from './index';
import {GatewayConfig, Base3DSConfig} from './types';
export default class UnifiedGatewaySDKHandler extends Base3DSHandler {
  gatewayConfig: GatewayConfig;
  constructor(parent: ThreeDSecureHandler, config: Base3DSConfig, gatewayConfig: GatewayConfig);
  handlePayment(): Promise<void>;

  sanitizeError(error: any): CbError;
}
