import {DocumentInformation} from './document-information';
export interface DlocalValidator {
  validate(docInfo: DocumentInformation): boolean;
  readonly documentValidationMethods: {
    in_pan: (documentNumber: string) => boolean;
    br_cpf: (documentNumber: string) => boolean;
    br_cnpj: (documentNumber: string) => boolean;
  };
  readonly invalidCpfs: string[];
  readonly validCpfs: string[];
  validateBrazilianCpf(documentNumber: string): boolean;
  validateBrazilianCnpj(documentNumber: string): boolean;
  validateIndianPan(documentNumber: string): boolean;
}
