import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../common/types';
export interface Spreedly3DSHandler extends AbstractThreeDSecureHandler {
  validate(): boolean;
  handlePayment(): void;

  getLifecycle(transaction: any): any;
  identify(transaction: any): Promise<any>;
  challenge(transaction: any): Promise<any>;
  fallbackTo3DS1(transaction: any): Promise<any>;
  handleForm(transaction: any): Promise<any>;
  handleUrl(transaction: any): Promise<any>;
  spreedly(): any;
}
