import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../common/types';
import ThreeDSecureHandler from '../../index';
export interface SpreedlyGlobal3DSHandler extends AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler, spreedlyConfig: any);
  validate(): boolean;
  handlePayment(): void;

  getLifecycle(sca_authentication: any): any;
  challenge(sca_authentication: any): Promise<any>;
  spreedly(): any;
}
