import {Layout} from '../constants/enums';
import Page from '../models/page';
import CbInstance from '../models/cb-instance';
import CbContainer from '../interfaces/cb-container';
import '@/helpers/polyfills';
import {Metadata} from '../plugins/logger/types';
export default class Helpers {
  flags: {
    resetHandlerCalled: boolean;
  };
  resetFlags(): void;
  setFlag(key: any, value: any): void;
  getJSDomain(): string;
  getJSDomainIframeCommunication(): string;
  getDomain(): string;
  getAppDomain(site: string): string;
  getDomainsToCheck(): string[];
  getReferrer(): string;
  getCbInstance(): CbInstance;
  getLayout(): Layout | undefined;
  createContainer(): CbContainer;
  setCssStyle(element: any, name: any): void;
  isMobileOrTablet(): boolean;
  getSiteMetaData(): Metadata;
  sendKVL(data?: any): void;
  sendLog(page: Page): void;
  showError(msg: any): void;
  appendParamsToUrl(url: string, params: {}): void;
  genUuid(): string;
  isPromise(obj: any): boolean;
  isTestSite(domain?: string): boolean;
  normalizeString(str: any): any;
  isSPA(): boolean;
  getBusinessEntityId(): string | undefined;
  getPortalToken(): string | undefined;
  getBeIdQueryParamForPortal(): string;
}
