import LightBox from './lightbox';
import CbWindowManager from '../../models/cb-window-manager';
export default class RedirectHandler {
  iframeContainer: HTMLDivElement;
  lightbox: LightBox;
  isIframeOpen: boolean;
  windowManager: CbWindowManager;
  isRedirectMode: boolean;
  isIframeMode: boolean;
  createIframe(gateway: string): HTMLIFrameElement;

  openIframe(): void;
  removeIframe(): void;
  setWindowManager(windowManager: CbWindowManager): void;
  getWindowManager(): CbWindowManager;
  closeTab(): void;
  setRedirectMode(val: boolean): void;
  setIframeMode(val: boolean): void;
}
