import Page from './page';
import Manager from '../interfaces/cb-manager';
import {Info as JsInfo} from '../plugins/checkout_utils/types';
export default class Handler {
  isBusy: boolean;
  manager: Manager;
  page: Page;
  queued: boolean;
  init({iframeOnly, enableRedirectMode}?: {iframeOnly?: boolean; enableRedirectMode?: boolean}): void;
  showPage(): void;
  getJSInfo(): Promise<JsInfo>;
  loadStyle(): Promise<void>;
  submit(page: Page): void;
  process(): void;
  reset(): void;
  private _submit;
  private _process;
  private _processCheckout;
  private _processPortal;
  private _wrapSso;
}
