import {Layout, PageType} from '../constants/enums';
import {CbCallbacksInterface, TimeLogs, PageOptions, HostedPageData} from '../interfaces/cb-types';
export default class Page {
  type: PageType;
  callbacks: CbCallbacksInterface;
  timeLogs: TimeLogs;
  urlFetcher: () => Promise<HostedPageData>;
  url: string;
  name: string;
  options: {};
  layout?: Layout;
  constructor(pageType: PageType, options: PageOptions);
  init(options: PageOptions): void;
}
