import '@/helpers/polyfills';
import LoggerPluginInterface from './interface';
import {PluginConfig} from '../../core/interface';
import AbstractLogger from '../../../utils/logger';
import {Metadata} from '../types';
import CommManagerInterface from '../../../hosted_fields/master/interface';
export default class LoggerActions extends AbstractLogger {
  config: PluginConfig;

  init(): Promise<void>;
  initialize(): Promise<any>;
  setMetadata(meta: Metadata): void;
  log(data: any, extra?: any): void;
  logError(err: Error, extra?: any): void;
  captureException(data: any): Promise<{
    acknowledged: boolean;
  }>;
  captureKVL(data: any): Promise<{
    acknowledged: boolean;
  }>;
  constructor(commMgr: CommManagerInterface);
}
