import PluginInterface from '../../core/interface';
import {Metadata} from '../types';
export default interface LoggerPluginInterface extends PluginInterface {
  meta: Metadata;
  log(data: any, extra?: any): any;
  logError(err: Error, extra?: any): any;
  setMetadata(data: Metadata): any;
  captureException(data: any, extra?: any): any;
  captureKVL(data: any, extra?: any): any;
}
