import '@/helpers/polyfills';
import AmazonPayPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
export default class AmazonPayActions {
  config: PluginConfig;

  init(): Promise<void>;
  generateAmazonPayButtonSignature(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
