import ApplepayHandler from './';
import {
  BraintreeApplePayInstance,
  BraintreeClientInstance,
  BraintreeDeviceDataCollectorInstance,
  BraintreeApplePayOptions,
  ApplePaymentEvent,
  BraintreeApplePaySession,
  BraintreePaymentRequest,
} from '../types';
import {Callbacks} from '../../../../internal/payment-intent/types';
export default class BraintreeApplePayHandler extends ApplepayHandler {
  applePayInstance: BraintreeApplePayInstance;
  clientInstance: BraintreeClientInstance;
  deviceDataCollectorInstance: BraintreeDeviceDataCollectorInstance;
  mountOptions: BraintreeApplePayOptions;
  paymentEvent: ApplePaymentEvent;
  session: BraintreeApplePaySession;
  constructor(handler: ApplepayHandler, ...args: any[]);
  getPaymentData(): any;
  initCallbacks(paymentInfo: any, callbacks: Callbacks): void;
  createApplePayInstance(): Promise<BraintreeApplePayInstance>;
  mountPaymentButton(selector: string, options: BraintreeApplePayOptions): Promise<any>;
  createPaymentRequest(): Promise<BraintreePaymentRequest>;
  createApplePaySession(paymentRequest: BraintreePaymentRequest): Promise<BraintreeApplePaySession>;
  startSession(): Promise<any>;
}
