import ApplepayHandler from './';
import {CheckoutComApplePayOptions, PaymentRequest, CheckouComApplePaySession, ApplePaymentEvent} from '../types';
import {Callbacks} from '../../../../internal/payment-intent/types';
export default class CheckoutComApplePayHandler extends ApplepayHandler {
  mountOptions: CheckoutComApplePayOptions;

  paymentEvent: ApplePaymentEvent;
  constructor(handler: ApplepayHandler, ...args: any[]);

  mountPaymentButton(selector: string, options: CheckoutComApplePayOptions): Promise<any>;
  initCallbacks(paymentInfo: any, callbacks: Callbacks): void;
  startSession(): Promise<never>;
  createPaymentRequest(): PaymentRequest;
  createApplePaySession(paymentRequest: PaymentRequest): Promise<CheckouComApplePaySession>;
  getPaymentData(): any;
}
