import ApplepayHandler from './';
import {Callbacks, PaymentAttempt} from '../../../../internal/payment-intent/types';
import {StripePaymentRequestOptions, StripeMountOptions} from '../types';
export default class StripeApplePayHandler extends ApplepayHandler {
  constructor(handler: ApplepayHandler, ...args: any[]);

  getPaymentData(): any;
  initCallbacks(paymentInfo: any, callbacks: Callbacks): void;

  mountPaymentButton(
    querySelector: string,
    options: StripeMountOptions & StripePaymentRequestOptions
  ): Promise<boolean>;
}
