import {BancontactPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks, PaymentMethodType} from '../../../../internal/payment-intent/types';
import {PaymentInfo} from '../types';
export default class BancontactHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
  }>;
  /**
   * TODO: to consume handlePayment in payment intent handler,
   * once paymentIntent is accepted as part of payment options
   * @param paymentInfo
   * @param callbacks
   * @returns
   */
  handleBancontactPayment(
    paymentInfo: PaymentInfo,
    callbacks?: Callbacks,
    isRedirectMode?: boolean,
    iframeMode?: boolean
  ): Promise<any>;
  handlePayment(input: PaymentInfo | PaymentOptions, callbacks?: Callbacks): Promise<any>;
}
