import {PaymentAttempt, PaymentMethodType} from '../../../../internal/payment-intent/types';
import BancontactHandler from './';
export default class StripeBancontactHandler extends BancontactHandler {
  constructor(handler: BancontactHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    params: {
      ownerName: string;
      ownerEmail: string;
    };
    retainPaymentMethod: boolean;
  }>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
