import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import DirectDebitPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class DirectDebitActions {
  config: PluginConfig;

  init(): Promise<void>;
  fetchPlaidLinkToken(data: any): Promise<ResponseInnerMessage>;
  fetchGWPaymentMethodConfig(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
