import {DirectDebitPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
import {PaymentInfo} from '../types';
import {DirectDebitDataHelper} from '../helper/direct-debit-data-helper';
import {DirectDebitDataManager} from '../helper/direct-debit-data-manager';
export default class DirectDebitHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  /**
   * @deprecated Use DataManager instead of DataHelper
   */
  ddDataHelper: DirectDebitDataHelper;
  ddDataManager: DirectDebitDataManager;
  constructor(...args: any[]);
  handleDirectDebitPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<any>;
  handlePayment(input: PaymentInfo | PaymentOptions, callbacks?: Callbacks): Promise<any>;
}
