import {PaymentInfo} from '../../types';
import {Gateway, PaymentIntent} from '../../../../../internal/payment-intent/types';
export interface DirectDebitDataManager {
  constructor(gateway: Gateway, currency: string);
  validatePaymentInfo(paymentInfo: PaymentInfo): boolean;
  transformPaymentInfo(paymentInfo: PaymentInfo): object;
  get(intent: PaymentIntent): DirectDebitDataManager;
}
