import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import DotpayPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class DotpayActions {
  config: PluginConfig;

  init(): Promise<void>;
  setAdyenDotpayVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopAdyenDotpayPoll(data: any): Promise<ResponseInnerMessage>;
  pollAdyenDotpayVerificationResult(data: any): Promise<ResponseInnerMessage>;
  getDotpayGatewayDetails(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
