import AbstractDotpayHandler from '../abstract';
import {PaymentAttempt} from '../../../../../extensions/three_domain_secure/common/types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import DotpayHandler from '..';
import {Adyen} from '../../../../../extensions/three_domain_secure/handlers/adyen/types';
export default class AdyenDotpayHandler extends AbstractDotpayHandler {
  constructor(parent: DotpayHandler);
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeAdyenError(error?: Adyen.Error): CbError;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
