import {PaymentAttempt} from '../../../../internal/payment-intent/types';
import FasterPymtsHandler from './';
import {PaymentInfo} from '../types';
export default class GocardlessFasterPymtsHandler extends FasterPymtsHandler {
  constructor(handler: FasterPymtsHandler, ...args: any[]);
  validate(): Promise<boolean>;
  initPayment(): Promise<object>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  _validate(input: PaymentInfo): boolean;
  private _validateBankFields;
  _transform(input: PaymentInfo): object;
}
