import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import GiropayPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class GiropayActions {
  config: PluginConfig;

  init(): Promise<void>;
  setAdyenGiropayVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopAdyenGiropayPoll(data: any): Promise<ResponseInnerMessage>;
  pollAdyenGiropayVerificationResult(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
