import CbInstanceOptions from '../../../../interfaces/cb-instance-options';
import {PaymentIntent, Options} from '../../../../extensions/three_domain_secure/common/types';
import {GiropayPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import '@/helpers/polyfills';
import CbWindowManager from '../../../../models/cb-window-manager';
export default class GiropayHandler {
  site: string;
  paymentIntent: PaymentIntent;
  options: Options;
  component: any;

  windowManager: CbWindowManager;
  isRedirectMode: boolean;
  constructor(chargebee: CbInstanceOptions);
  setWindowManager(windowManager: CbWindowManager): void;
  setRedirectMode(val: boolean): void;
  validatePaymentIntent(intent: PaymentIntent): PaymentIntent;
  handlePayment(options: PaymentOptions): Promise<any>;
}
