export declare type ButtonOption = {
  buttonColor?: 'default' | 'black' | 'white';
  buttonType?: 'long' | 'short' | 'book' | 'buy' | 'checkout' | 'donate' | 'order' | 'pay' | 'plain' | 'subscribe';
  buttonSizeMode?: 'static' | 'fill';
  buttonLocale?:
    | 'en'
    | 'ar'
    | 'bg'
    | 'ca'
    | 'cs'
    | 'da'
    | 'de'
    | 'el'
    | 'es'
    | 'et'
    | 'fi'
    | 'fr'
    | 'hr'
    | 'id'
    | 'it'
    | 'ja'
    | 'ko'
    | 'ms'
    | 'nl'
    | 'no'
    | 'pl'
    | 'pt'
    | 'ru'
    | 'sk'
    | 'sl'
    | 'sr'
    | 'sv'
    | 'th'
    | 'tr'
    | 'uk'
    | 'zh';
};
export declare type cardInfo = {
  last4: string;
  brand: string;
};
export declare type PaymentData = {
  cardInfo: cardInfo;
};
export interface PaymentRequestOptions {
  requestPayerEmail?: boolean;
  requestBillingAddress?: boolean;
  requestShippingAddress?: boolean;
}
