import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import IDealPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class IDealActions {
  config: PluginConfig;

  init(): Promise<void>;
  setAdyenIDealVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopAdyenIDealPoll(data: any): Promise<ResponseInnerMessage>;
  pollAdyenIDealVerificationResult(data: any): Promise<ResponseInnerMessage>;
  setStripeIDealVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopStripeIDealPoll(data: any): Promise<ResponseInnerMessage>;
  pollStripeIDealVerificationResult(data: any): Promise<ResponseInnerMessage>;
  getIDealGatewayDetails(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
