import {KlarnaPayNowPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks} from '../../../../internal/payment-intent/types';
import {PaymentInfo} from '../types';
export default class KlarnaPayNowHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  /**
   * TODO: to consume handlePayment in payment intent handler,
   * once paymentIntent is accepted as part of payment options
   * @param paymentInfo
   * @param callbacks
   * @returns
   */
  handleKlarnaPayNowPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks, isRedirectMode?: boolean): Promise<any>;
  handlePayment(input: PaymentInfo | PaymentOptions, callbacks?: Callbacks): Promise<any>;
}
