import {Address} from '../../../../internal/payment-intent/types';
export declare type PaymentInfo = {
  userName?: string;
  userEmail: string;
  country: string;
  lineItems: Array<lineItem>;
  cardBillingAddress?: Address;
};
export declare type lineItem = {
  amount: number;
  unitAmount?: number;
  taxAmount?: number;
  id?: string;
  quantity?: string;
  description: string;
};
