declare type customer = {
  firstName: string;
  lastName: string;
  email: string;
  phone: string;
};
declare type bankAccount = {
  bank?: string;
  beneficiaryName: string;
  accountNumber: string;
  accountType: string;
  ifscCode: string;
};
export declare type PaymentInfo = {
  customer: customer;
  bankAccount: bankAccount;
  additionalData?: AdditionalData;
};
export declare type AdditionalData = {
  paymentType?: string;
};
export {};
