import {PaymentAttempt} from '../../../../internal/payment-intent/types';
import PayToHandler from './';
import {PaymentInfo} from '../../faster_payments/types';
import {PaymentOptions} from '../../../../hosted_fields/common/base-types';
export default class GocardlessPayToHandler extends PayToHandler {
  constructor(handler: PayToHandler, ...args: any[]);
  validate(): Promise<boolean>;
  initPayment(): Promise<object>;

  handlePayment(options: PaymentOptions | any): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  _validate(input: PaymentInfo): boolean;
  private _validateBankFields;
  _transform(input: PaymentInfo): object;
}
