import {PayToPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {PaymentInfo} from '../../faster_payments/types';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
export default class PayToHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  handlePayToPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<any>;
  handlePayment(input: PaymentInfo | PaymentOptions, callbacks?: Callbacks): Promise<any>;
}
