import {PaymentMethodType, PaymentAttempt, Callbacks, PaymentIntent} from '../../../../internal/payment-intent/types';
import PaypalHandler from './';
import {Options, PaymentInfo} from '../types';
export default class AdyenPayPalHandler extends PaypalHandler {
  constructor(handler: PaypalHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
  }>;
  handlePayment(callbacks?: Callbacks): Promise<PaymentIntent>;
  mountPaymentButton(id: string, options: Options): Promise<any>;
  createAdyenCheckoutInst(options: Options): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  adyenCheckout(): any;
  getAdyenEnvironment(): 'test' | 'live';
  getAdditionalData(): PaymentInfo;
}
