import {PaypalPayment} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {PaymentMethodType, Callbacks, PaymentIntent} from '../../../../internal/payment-intent/types';
import {Options, ButtonStyle} from '../types';
export default class PaypalHandler extends PaymentIntentHandler {
  constructor(...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
  }>;
  mountPaymentButton(id: string, options?: Options): Promise<any>;
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;
  getPaypalStyles(): ButtonStyle;
  paypal(): any;
  handleClick(data: any, actions: any): Promise<unknown>;
  loadPaypalJS(): Promise<any>;
}
