import {PaymentAttempt, Callbacks, PaymentIntent} from '../../../../internal/payment-intent/types';
import PaypalHandler from './';
import {Funding, Options} from '../types';
export default class PaypalExpressCheckoutHandler extends PaypalHandler {
  constructor(handler: PaypalHandler, ...args: any[]);
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;
  mountPaymentButton(id: string, options: Options): Promise<any>;
  renderCheckoutButton(id: string, options: Options): Promise<any>;
  renderButton(id: any, options: Options): any;
  renderPaypalButton(id: string, options: Options, clientID: string, merchantID: string): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  getConfigurationOptions(options: Options): {
    style: import('../types').ButtonStyle;
    funding: Funding;
  };
  getPaypalFunding(options: any): Funding;
  loadPaypalSdk(clientID: string, merchantID: string, options: Options): Promise<any>;
}
