import {PaymentAttempt} from '../../../../internal/payment-intent/types';
import SepaInstantTransferHandler from './';
import {PaymentInfo} from '../../faster_payments/types';
export default class GocardlessSepaInstantTransferHandler extends SepaInstantTransferHandler {
  constructor(handler: SepaInstantTransferHandler, ...args: any[]);
  validate(): Promise<boolean>;
  initPayment(): Promise<object>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  _validate(input: PaymentInfo): boolean;
  private _validateBankFields;
  _transform(input: PaymentInfo): object;
}
