import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import SofortPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class SofortActions {
  config: PluginConfig;

  init(): Promise<void>;
  setAdyenSofortVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopAdyenSofortPoll(data: any): Promise<ResponseInnerMessage>;
  pollAdyenSofortVerificationResult(data: any): Promise<ResponseInnerMessage>;
  getAdyenPaymentMethods(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
