import {PaymentAttempt, PaymentMethodType} from '../../../../internal/payment-intent/types';
import SofortHandler from './';
export default class StripeSofortHandler extends SofortHandler {
  constructor(handler: SofortHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    params: {
      country: string;
      ownerName: string;
      ownerEmail: string;
    };
  }>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
