import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {VenmoPayment} from '../../../../hosted_fields/common/base-types';
import {Callbacks, PaymentIntent, PaymentMethodType} from '../../../../internal/payment-intent/types';
import {ButtonStyle, Options} from '../types';
export default class VenmoHandler extends PaymentIntentHandler {
  constructor(...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
  }>;
  mountPaymentButton(id: string, options?: Options): Promise<any>;
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;
  getVenmoStyles(): ButtonStyle;
}
