import VenmoHandler from './index';
import {
  Callbacks,
  PaymentAttemptStatus,
  PaymentIntent,
  PaymentMethodType,
} from '../../../../internal/payment-intent/types';
import {Options} from '../types';
export default class PaypalVenmoHandler extends VenmoHandler {
  constructor(handler: VenmoHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
  }>;
  mountPaymentButton(id: string, options: Options): Promise<any>;
  renderVenmoButton(id: string, options: Options, clientID: string, merchantID: string): Promise<void>;
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;

  loadPaypalSdk(clientID: string, merchantID: string, options: Options): Promise<any>;
}
