import {PaymentInfo} from '../../paypal_express_checkout/types';
export declare type Options = {
  locale?: string;
  style?: ButtonStyle;
  funding?: Funding;
  additionalData?: () => PaymentInfo;
};
export declare type ButtonStyle = {
  layout?: 'vertical' | 'horizontal';
  height?: 'small' | 'medium' | 'large';
  size?: 'small' | 'medium' | 'large' | 'responsive';
  color?: 'gold' | 'blue' | 'silver' | 'white' | 'black';
  shape?: 'pill' | 'rect';
  label?: 'checkout' | 'credit' | 'pay' | 'buynow' | 'paypal' | 'installment';
  installmentperiod?: any;
  tagline?: boolean;
};
export declare type Funding = {
  allowed?: string[];
  disallowed?: string[];
};
