declare const _default: {
  container: {
    position: string;
    right: string;
    bottom: string;
    left: string;
    top: string;
    'z-index': string;
    display: string;
    '-webkit-overflow-scrolling': string;
    'overflow-y': string;
  };
  iframe: {
    width: string;
    height: string;
    zIndex: number;
    visibility: string;
    position: string;
    border: string;
  };
  iframe_hidden: {
    width: string;
    height: string;
    visibility: string;
  };
  loader_container: {
    zIndex: number;
    visibility: string;
    transition: string;
    background: string;
    position: string;
    left: string;
    right: string;
    boxShadow: string;
  };
  loader_fullpage_checkout: {
    width: string;
    height: string;
    margin: string;
    'background-color': string;
  };
  loader_v4: {
    display: string;
    alignItems: string;
    justifyContent: string;
    position: string;
    top: string;
    right: number;
    bottom: number;
    left: number;
    backgroundColor: string;
    opacity: string;
    visibility: string;
  };
  loader_wrapper: {
    overflow: string;
  };
  loader_container_mobile: {
    height: string;
    width: string;
  };
  loader_container_web: {
    width: string;
    height: string;
    margin: string;
  };
  loader_header: {
    padding: string;
    background: string;
    boxShadow: string;
    textAlign: string;
    minHeight: string;
    boxSizing: string;
  };
  loader_header_logo: {
    minHeight: string;
    display: string;
    alignItems: string;
    marginTop: string;
  };
  loader_header_img: {
    maxHeight: string;
    maxWidth: string;
    verticalAlign: string;
    width: string;
    marginTop: string;
    marginBottom: string;
    marginLeft: string;
    marginRight: string;
  };
  loading_bar: {
    height: string;
    background: string;
    transitionDuration: string;
    transitionTimingFunction: string;
    visibility: string;
  };
  loader_content: {
    padding: string;
  };
  placeholder_sm: {
    height: string;
    width: string;
    background: string;
    backgroundSize: string;
    marginBottom: string;
  };
  placeholder_md: {
    height: string;
    width: string;
    background: string;
    backgroundSize: string;
    marginBottom: string;
  };
  placeholder_lg: {
    height: string;
    width: string;
    background: string;
    backgroundSize: string;
    marginBottom: string;
  };
  wavering: {
    background: string[];
    backgroundSize: string;
  };
  cb_error: {
    fontSize: string;
    lineHeight: string;
    color: string;
    textAlign: string;
    display: string;
  };
  loading_close: {
    position: string;
    background: string;
    height: string;
    width: string;
    borderRadius: string;
    right: string;
    top: string;
    fontSize: string;
    color: string;
    textAlign: string;
    cursor: string;
    display: string;
    'font-weight': string;
    lineHeight: string;
  };
};
export default _default;
