export declare type BrowserFingerprint = {
  origin?: string;
  browserInfo?: {
    colorDepth: number;
    javaEnabled: boolean;
    language: string;
    screenHeight: number;
    screenWidth: number;
    timeZoneOffset: number;
    userAgent: string;
  };
};
declare const Utils: {
  fetchGatewayCredential(paymentIntent: any): Promise<any>;
  getOwnerEmail(paymentInfo: any): string;
  getPaymentMethodUserDetails(paymentInfo: any): any;
  getBrowserFingerprint(): BrowserFingerprint;
};
export default Utils;
