<!--
  Before you create a new issue, please make sure to:
  - Search for existing issues to avoid duplicates.
  - Read the project's documentation and guidelines.
-->

## Issue Summary

<!-- Briefly describe the issue or feature request related to the TypeScript types in the npm package. -->

## Package Information

- Package Version: <!-- Version of the npm package -->
- TypeScript Version: <!-- Version of TypeScript used in your project -->

## Current Types Behavior

<!-- Describe the current behavior of the TypeScript types in the npm package (if relevant). -->

## Expected Types Behavior

<!-- Describe the expected behavior of the TypeScript types in the npm package. -->

## Reproduction Steps (if applicable)

<!-- Provide steps to reproduce the issue or a minimal example (e.g., a code snippet). -->

## Additional Context

<!-- Add any additional information or context that might be relevant to the TypeScript types issue. -->

## Environment Details

- OS: <!-- Your operating system -->
- Node.js Version: <!-- Version of Node.js used in your project -->
- npm/yarn Version: <!-- Version of npm or yarn used in your project -->

## Screenshots (if applicable)

<!-- Add any relevant screenshots to help explain the TypeScript types issue (if applicable). -->
