import AbstractThreeDSecureHandler from '../abstract';
import ThreeDSecureHandler from '../../index';
import {PaymentAttempt, ConfirmApiInputPayload} from '../../../../plugins/three_domain_secure/types';
import {Base3DSConfig} from './types';
export default abstract class Base3DSHandler extends AbstractThreeDSecureHandler {
  config: Base3DSConfig;
  constructor(parent: ThreeDSecureHandler, config: Base3DSConfig);
  validate(): boolean;
  abstract handlePayment(): void;
}
