export declare namespace Adyen {
  type BrowserFingerprint = {
    origin?: string;
    browserInfo?: {
      colorDepth: number;
      javaEnabled: boolean;
      language: string;
      screenHeight: number;
      screenWidth: number;
      timeZoneOffset: number;
      userAgent: string;
    };
  };
  enum WebComponent {
    Fingerprint = 'threeDS2DeviceFingerprint',
    Challenge = 'threeDS2Challenge',
    IDeal = 'ideal',
  }
  type BillingAddress = {
    city?: string;
    country?: string;
    houseNumberOrName?: string;
    postalCode?: string;
    stateOrProvince?: string;
    street?: string;
  };
  type Error = {
    status?: string;
    errorCode?: string;
    message?: string;
    errorType?: string;
  };
}
