import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
export default class bankOfAmerica3DSHandler extends AbstractThreeDSecureHandler {
  validate(): boolean;
  preloadConfig(): Promise<any>;
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  getConfirmReqPayload(sessionId: string): {
    email: string;
  };
  doDeviceDataCollection(fingerPrintId: any, callback: any): void;
}
