import Abstract3DSHandler from '../abstract';
import {PaymentAttempt} from '../../common/types';
import ThreeDSecureHandler from '../../index';
import {Braintree} from './types';
export default class Braintree3DSHandler extends Abstract3DSHandler {
  constructor(parent: ThreeDSecureHandler);
  validate(): boolean;

  handlePayment(): void;
  getBillingAddress(): Braintree.BillingAddress;
  getCardDetails(): Braintree.CardDetails;
  getErrorReason(error: Braintree.ClientError): string | undefined;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
