import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
export default class CybersourceHandler extends AbstractThreeDSecureHandler {
  private DEVICE_FINGER_PRINTING_DOMAIN;
  private DEVICE_FINGER_PRINTING_TIMEOUT;

  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  validate(): boolean;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  setIframeContent(html: string): void;
  getConfirmReqPayload(): {
    email: string;
  };
  doDeviceFingerprinting(paymentAttempt: PaymentAttempt): Promise<any>;

  doChallenge(paymentAttempt: PaymentAttempt): Promise<
    {
      email: string;
    } & {
      transactionId: any;
    }
  >;
}
