import AbstractThreeDSecureHandler from '../abstract';
import ThreeDSecureHandler from '../../index';
import {PaymentAttempt} from '../../common/types';
export default class Ebanx3DSHandler extends AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler);
  validate(): boolean;
  validateDocumentId(): Promise<void>;
  handlePayment(): void;
  callPaymentFlow(): Promise<any>;
  cardFlow(): Promise<any>;
  authenticateFlow(): Promise<any>;
  isAuthenticationRequired(): boolean;
  referenceIdFlow(): Promise<any>;
  getConfirmPayload(paymentData: any): Promise<any>;

  attachDeviceData(): Promise<string>;
  checkNLoadScript(): Promise<unknown>;
  getCountryCode(): string;
}
