import AbstractThreeDSecureHandler from '../abstract';
import ThreeDSecureHandler from '../../index';
import {PaymentAttempt} from '../../common/types';
export default class GlobalPaymentsHandler extends AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler);
  validate(): boolean;
  handlePayment(): void;
  getConfirmReqPayload(): any;
  handlePaymentFlow(payload: any): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
