import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
export default class IngenicoHandler extends AbstractThreeDSecureHandler {
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  validate(): boolean;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  getBrowserFingerprint(): {
    browserInfo: {
      colorDepth: number;
      javaEnabled: boolean;
      language: string;
      screenHeight: number;
      screenWidth: number;
      timeZoneOffset: number;
    };
  };
  getConfirmReqPayload(): any;
  doChallenge(paymentAttempt: PaymentAttempt): Promise<any>;
}
