import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
import ThreeDSecureHandler from '../../index';
export default class PayCom3dsHandler extends AbstractThreeDSecureHandler {
  constructor(parent: ThreeDSecureHandler);
  validate(): boolean;
  handlePayment(): void;
  handlePaymentFlow(): any;
  cardFlow(): Promise<any>;
  referenceIdFlow(): any;
  cardComponentFlow(): any;
  cbTokenFlow(): any;
  closeWindowIfOpen(): void;
  getConfirmPayload(paymentData: any): any;

  doChallenge(paymentAttempt: PaymentAttempt): Promise<any>;
}
