import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../common/types';
export default class Payfurl3DSHandler extends AbstractThreeDSecureHandler {
  validate(): boolean;
  isDocumentIdValidationRequired(): boolean;
  validateDocumentId(): boolean;
  validateDlocalDocument(docInformation: any): boolean;
  handlePayment(): void;
  callPaymentFlow(): Promise<any>;
  threeDsCardFlow(): Promise<any>;
  rawCardFlow(): Promise<any>;
  referenceIdFlow(): Promise<any>;
  cbTokenFlow(): Promise<any>;
  getAmount(): string;
  getConfirmPayload(paymentData: any): Promise<any>;

  checkNLoadScript(): Promise<unknown>;
}
