import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
export default class Razorpay3DSHandler extends AbstractThreeDSecureHandler {
  validate(): boolean;
  getPaymentFlow(): Promise<any>;
  handlePayment(): void;
  closeWindowIfOpen(): void;

  cardFlow(): Promise<any>;
  referenceIdFlow(): Promise<any>;
  cardComponentFlow(): Promise<any>;
}
