import AbstractThreeDSecureHandler from '../abstract';
import {PaymentAttempt} from '../../../../plugins/three_domain_secure/types';
interface GenDeviceDataJWTResponse {
  jwt: string;
  bin?: string;
}
export default class WorldPay3DSHandler extends AbstractThreeDSecureHandler {
  private DDC_CARDINAL_BASE_URL;
  private DDC_COLLECT_ACTION_TIMEOUT;
  validate(): boolean;
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  getConfirmReqPayload(sessionId?: string): any;

  doDeviceDataCollection(result: GenDeviceDataJWTResponse): Promise<any>;
  doChallenge(paymentAttempt: PaymentAttempt): Promise<any>;
}
export {};
