export declare function strToHTML(htmlString: string): HTMLElement | SVGElement | null;
export declare function deepAssign(target: object, ...sources: any[]): any;
export declare function isObject(item: any): boolean;
export declare function getValuesOf(data: any): any[];
export declare const clone: (data: any) => any;
export declare function toggleClass(el: HTMLElement, className: string, cond: boolean): void;
export declare type Iterator = (value: any, index: number, obj: any[]) => boolean;
export declare function find(arr: Array<any>, iterator: Iterator): any;
export declare function safeText(text: string): string;
export declare function removeQuotes(str: string): string;
export declare function getContentWithinBrackets(str: string): string;
export declare function has(parent: any, child: any): boolean;
export declare function noop(): void;
export declare const isEqual: (left: any, right: any) => boolean;
export declare function combineObjectArray(data: Array<object>): object;
export declare function isElement(element: HTMLElement): boolean;
export declare function setFrameLoaded(frame: any): void;
export declare function generateHtmlElement<K extends keyof HTMLElementTagNameMap>(
  tagName: K,
  styles?: Partial<CSSStyleDeclaration>
): HTMLElementTagNameMap[K];
export declare function getElementById(target: string | HTMLElement): HTMLElement | undefined;
export declare function getComputedProperty(el: HTMLElement, propertyName: string): string | undefined;
