import {ActionInnerMessage, ResponseInnerMessage} from './types';
import BaseAction from './base-action';
interface ActionRegistry {
  [actionName: string]: BaseAction;
}
interface ActionsHolder {
  actionRegistry: ActionRegistry;
  registerAction(actionName: string, action: BaseAction): void;
  resolve(message: ActionInnerMessage): Promise<ResponseInnerMessage>;
}
declare const actionHolder: ActionsHolder;
export default actionHolder;
