import {TestCard} from '../../common/types';
import {Card} from '../../common/enums';
import CbIframe from '../cb-iframe';
import {TestCardsHandlerInterface} from '../../common/base-types';
export default class TestCardsHandler {
  private readonly TEST_CARDS_WRAPPER;

  private CB_TEST_CARD_ID_PREFIX;

  setTestCards(
    testCards: TestCard[],
    parentEl: HTMLDivElement,
    cbIframe: CbIframe,
    fieldType: Card.ComponentFieldType
  ): void;
  hasTestCards(): boolean;

  show(): void;
  hide(): void;
  renderTestCards(parentEl: HTMLDivElement): void;
}
