import RecapatchaInterface from './recaptcha';
export default class RecaptchaUtil {
  recaptchaKey: string;
  recaptchaReady: boolean;
  isGlobalRecaptcha: boolean;
  hideBanner: boolean;
  MAX_RETRIES: number;
  TIMEOUT_GENERATE_TOKEN: number;
  TIMEOUT_SCRIPT_LOAD: number;

  constructor(key: string, isGlobalRecaptcha: boolean, hideBanner: boolean);
  init(): Promise<void>;
  generateToken(action: any): Promise<any>;
  loadRecaptcha(): Promise<void>;
}
