import CommManagerInterface from './interface';
import {GwTokenizationResponse} from '../common/types';
interface TokenizationHandler {
  constructor(commMgr: CommManagerInterface);

  tokenize(gwConfig: any, payload: any): Promise<GwTokenizationResponse>;
  loadScript(gwConfig: any): Promise<any>;

  validateEbanxDocumentId(ebanx: any, docInformation: any, country: string): Promise<boolean>;
}
export default TokenizationHandler;
