import CbInstance from './cb-instance';
import {PortalSession} from '../interfaces/cb-types';
import {State} from '../constants/enums';
export default class AuthHandler {
  cbInstance: CbInstance;
  ssoToken: PortalSession | string;
  ssoTokenFetcher: () => Promise<PortalSession>;
  state: State;
  constructor(cbInstance: CbInstance);
  setSsoToken(token: string): void;
  setSsoTokenFetcher(func: () => Promise<PortalSession>): void;
  logout(): void;
  close(customerId: string): void;
  reset(): void;
}
