import Manager, {ManagerType} from '../interfaces/cb-manager';
import {CbCallbacksInterface} from '../interfaces/cb-types';
import {Layout} from '../constants/enums';
export default class CbIframeManager {
  type: ManagerType;
  bodySettings: {};
  callbacks: CbCallbacksInterface;
  layout: Layout;
  init(): void;
  setLayout(layout: Layout): void;
  showLoader(): void;
  showFullPageLoader(): void;
  showInAppLoader(): void;
  open(url: string, type: string): void;
  close(): void;
  show(): void;

  createHiddenIFrame(id: any): HTMLIFrameElement;
  setCallBacks(callbacks: CbCallbacksInterface): void;
}
