import Product from './product';
export default interface Item {
  item_price_id: string;
  quantity?: number;
  quantity_in_decimal?: string;
  item_type?: ItemType;
  setQuantity(quantity: number): any;
  setQuantityInDecimal(quantityInDecimal: string): any;
  setType(type: ItemType): any;
}
export declare function createItem(
  item_price_id: string,
  quantity?: number,
  quantity_in_decimal?: string,
  item_type?: ItemType
): Item;
export declare enum ItemType {
  PLAN = 'plan',
  ADDON = 'addon',
  CHARGE = 'charge',
}
export declare function setItemsForProduct(product: Product): void;
