import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import PluginInterface from '../../core/interface';
import {HpData, Info} from '../types';
export default interface CheckoutUtilsPluginInterface extends PluginInterface {
  portalLogout(): Promise<ResponseInnerMessage>;
  getInfo(): Promise<Info>;
  getHpData(param?: string): HpData;
  setHpData(data: HpData): Promise<ResponseInnerMessage>;
  getTranslations(data: any): Promise<ResponseInnerMessage>;
  getBinData(data: any): Promise<ResponseInnerMessage>;
}
