import '@/helpers/polyfills';
import {ApiInterface, ApiClientInterface, ApiConfigInterface, ApiActionInterface} from './interface';
import CommManagerInterface from '../../../hosted_fields/master/interface';
export default class ApiClient {
  _config: ApiConfigInterface;

  constructor(commMgr: CommManagerInterface);
  getStaticDomain(): string;
  getDomain(): string;
  doRecaptchaValidation(apiName: string, action: ApiActionInterface): Promise<any>;
  addApis(apis: ApiInterface[]): void;
}
