import PluginInterface from '../../core/interface';
import {ResponseInnerMessage} from '../../../hosted_fields/common/types';
import {
  UpdateSubscriptionEstimate,
  CreateSubscriptionEstimate,
  SubscriptionRenewalEstimate,
  VatValidationParams,
} from '../types';
export default interface FunctionsPluginInterface extends PluginInterface {
  createSubscriptionEstimate(data: CreateSubscriptionEstimate): Promise<ResponseInnerMessage>;
  updateSubscriptionEstimate(data: UpdateSubscriptionEstimate): Promise<ResponseInnerMessage>;
  renewSubscriptionEstimate(data: SubscriptionRenewalEstimate): Promise<ResponseInnerMessage>;
  validateVat(data: VatValidationParams): Promise<ResponseInnerMessage>;
}
