export declare type PaymentInfo = {
  customer: {
    first_name: string;
    last_name: string;
    email: string;
    phone: string;
  };
  additionalData?: AdditionalData;
};
export declare type AdditionalData = {
  paymentType?: string;
};
export declare type Frequency = {
  unit: string;
  value: string;
};
export declare type Price = {
  amount: string;
  currencyCode: string;
};
export declare type RecurringMetadata = {
  frequency: Frequency;
  amount: Price;
};
export declare type AmazonButtonOptions = {
  buttonColor: string;
  deliverySpecifications?: any;
  environment?: string;
  locale?: string;
  placement?: string;
  productType?: string;
  reviewReturnUrl?: string;
  chargePermissionType?: string;
  recurringMetadata?: RecurringMetadata;
  amazonCheckoutSessionId?: string;
};
