import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
import '@/helpers/polyfills';
import BancontactPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
export default class BancontactActions {
  config: PluginConfig;

  init(): Promise<void>;
  setAdyenBancontactVerificationResult(data: any): Promise<ResponseInnerMessage>;
  stopAdyenBancontactPoll(data: any): Promise<ResponseInnerMessage>;
  pollAdyenBancontactVerificationResult(data: any): Promise<ResponseInnerMessage>;
  constructor(commMgr: CommManagerInterface);
}
