import {PaymentAttempt, PaymentMethodType} from '../../../../internal/payment-intent/types';
import BancontactHandler from './';
export default class MollieBancontactHandler extends BancontactHandler {
  constructor(handler: BancontactHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    params: {
      ownerName: string;
    };
    email: string;
  }>;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
