import {Address} from '../../../../internal/payment-intent/types';
export declare type PaymentInfo = AdyenPaymentInfo & {
  userName?: string;
  userEmail?: string;
  country?: string;
  retainPaymentMethod?: boolean;
};
export declare type AdyenPaymentInfo = {
  element?: any;
  card?: CardInfo;
  cardBillingAddress?: Address;
  customer?: Customer;
};
export declare type Customer = {
  email?: string;
};
export declare type CardInfo = {
  number: string;
  expiryMonth: string;
  expiryYear: string;
  firstName?: string;
  lastName?: string;
};
