import {BoletoPayment, PaymentOptions} from '../../../../hosted_fields/common/base-types';
import PaymentIntentHandler from '../../../../internal/payment-intent/handler';
import {Callbacks} from '../../../../extensions/three_domain_secure/common/types';
import {PaymentInfo} from '../types';
export default class BoletoHandler extends PaymentIntentHandler {
  redirectTimeout: number;
  constructor(...args: any[]);
  validate(): Promise<boolean>;
  handleBoletoPayment(paymentInfo: PaymentInfo, callbacks?: Callbacks): Promise<any>;
  handlePayment(input: PaymentInfo | PaymentOptions, callbacks?: Callbacks): Promise<any>;
}
