import AbstractGiropayHandler from '../abstract';
import {PaymentAttempt} from '../../../../../extensions/three_domain_secure/common/types';
import {CbError} from '../../../../../hosted_fields/common/errors';
import GiropayHandler from '..';
import {Adyen} from '../../../../../extensions/three_domain_secure/handlers/adyen/types';
export default class AdyenGiropayHandler extends AbstractGiropayHandler {
  constructor(parent: GiropayHandler);
  handlePayment(): void;
  handlePaymentFlow(payload: any): Promise<any>;
  sanitizeAdyenError(error?: Adyen.Error): CbError;

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
}
