import {PaymentAttempt} from '../../../../internal/payment-intent/types';
import KlarnaPayNowHandler from './';
import {PaymentMethodType} from '../../../../internal/payment-intent/types';
export default class AdyenKlarnaPayNowHandler extends KlarnaPayNowHandler {
  constructor(handler: KlarnaPayNowHandler, ...args: any[]);

  handlePaymentAttempt(paymentAttempt: PaymentAttempt): Promise<any>;
  validate(): Promise<boolean>;

  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    email: string;
    params: {
      country: string;
    };
    lineItems: {
      amount: number;
      description: string;
      unitAmount: number;
      taxAmount: number;
      id: string;
      quantity: string;
    }[];
    cardBillingAddress: import('@/internal/payment-intent/types').Address;
  }>;
  transformLineItemData(): {
    amount: number;
    description: string;
    unitAmount: number;
    taxAmount: number;
    id: string;
    quantity: string;
  }[];
}
