import {
  PaymentMethodType,
  PaymentIntent,
  Callbacks,
  PaymentAttemptStatus,
} from '../../../../internal/payment-intent/types';
import PaypalHandler from './';
import {Options} from '../types';
export default class BraintreePaypalHandler extends PaypalHandler {
  constructor(handler: PaypalHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    tmpToken: any;
  }>;
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;
  mountPaymentButton(id: string, options: Options): Promise<any>;
}
