import '@/helpers/polyfills';
import SepaInstantTransferPluginInterface from './interface';
import {PluginConfig} from '../../../core/interface';
import CommManagerInterface from '../../../../hosted_fields/master/interface';
import {ResponseInnerMessage} from '../../../../hosted_fields/common/types';
export default class SepaInstantTransferActions {
  config: PluginConfig;

  init(): Promise<void>;
  constructor(commMgr: CommManagerInterface);
  getSepaInstantTransferGatewayDetails(data: any): Promise<ResponseInnerMessage>;
}
