import VenmoHandler from './index';
import {
  Callbacks,
  PaymentAttemptStatus,
  PaymentIntent,
  PaymentMethodType,
} from '../../../../internal/payment-intent/types';
import {Options} from '../types';
export default class BraintreeVenmoHandler extends VenmoHandler {
  constructor(handler: VenmoHandler, ...args: any[]);
  initPayment(): Promise<{
    paymentMethodType: PaymentMethodType;
    tmpToken: any;
  }>;
  mountPaymentButton(id: string, options: Options): Promise<any>;

  createVenmoButton(results: any, id: any): void;
  handlePayment(callbacks: Callbacks): Promise<PaymentIntent>;

  createBraintreeClientInstance(token: string): Promise<any>;
  loadBraintreeJS(): Promise<any>;
  generateBraintreeClientToken(): Promise<any>;
  displayVenmoButton(venmoInstance: any, venmoButton: any): void;
  getPayerInfo(): any;

  handleVenmoError(err: any): void;
  handleVenmoSuccess(payload: any): void;
}
