import {Gateway} from '../internal/payment-intent/types';
export default class BankFieldHelper {
  isCountryForAch(gateway: Gateway, country_code: string): boolean;
  isCountryForAutogiro(gateway: Gateway, country_code: string): boolean;
  isCountryForBacs(gateway: Gateway, country_code: string): boolean;
  isCountryForBecs(gateway: Gateway, country_code: string): boolean;
  isCountryForBecsNZ(gateway: Gateway, country_code: string): boolean;
  isCountryForPad(gateway: Gateway, country_code: string): boolean;
  isCountryForSepa(gateway: Gateway, country_code: string): boolean;
  getAchFields(gateway: Gateway, country_code: string): string[];
  getAutogiroFields(gateway: Gateway, country_code: string): string[];
  getBacsFields(gateway: Gateway, country_code: string): string[];
  getBecsFields(gateway: Gateway, country_code: string): string[];
  getBecsFieldsNZ(gateway: Gateway, country_code: string): string[];
  getPadFields(gateway: Gateway, country_code: string): string[];
  getSepaFields(gateway: Gateway, country_code: string): string[];
}
