import AbstractLogger from './';
import {Metadata} from '../../plugins/logger/types';
interface SentryLogger extends AbstractLogger {
  sentry: any;
  initialize(): Promise<any>;
  log(data: any, extra?: any): Promise<void>;
  setMetadata(meta: Metadata): void;
  logError(error: Error, extra?: any): void;
  setScope(): void;
}
declare const _default: SentryLogger;
export default _default;
