import '@/helpers/polyfills';
import ApiClient from '../hosted_fields/master/api-client';
import {CbError} from '../hosted_fields/common/errors';
export default class Logger {
  apiClient: ApiClient;
  init(apiClient?: any): void;
  setScope({domain, hostName, site, ...others}: {[x: string]: any; domain: any; hostName: any; site: any}): void;
  sanitizeError(err: any): Error;
  error(error: any, extraData?: any): CbError;
  throw(err: any, extraData?: any): void;
  getMaskedError(err: any, extraData?: any): Error;
  throwMaskedError(err: any, extraData?: any): void;
  info(message: string, extraData?: any): void;
  toJSON(err: any): any;
  kvl(data: any, extraData?: any): Promise<void>;
  sendLog(info: any, extraData?: {}): void;
}
