import {PaymentIntent} from '../../internal/payment-intent/types';
/**
 * Get the Bluesnap SDK instance from the window object
 */
export declare function getBluesnap(): any;
/**
 * Load the Bluesnap SDK script
 */
export declare function loadBluesnap(): Promise<any>;
/**
 * Create a payment form token for Bluesnap
 */
export declare function createPfToken(paymentIntent: PaymentIntent, vaultId?: string): Promise<any>;
/**
 * Load device data check for Bluesnap
 */
export declare function loadDeviceDataCheck(paymentInfo: any): Promise<string>;
