export declare enum HTTPMethod {
  POST = 'POST',
  GET = 'GET',
}
export declare type FormInput = {
  name: string;
  value: string;
};
export default class Form {
  private _name;
  private _target?;
  private _method;
  private _action;
  private _formInputMap;
  private _formEl;
  private _inputElements;
  constructor();
  get name(): string;
  set name(value: string);
  get target(): string | undefined;
  set target(value: string | undefined);
  get method(): HTTPMethod;
  set method(value: HTTPMethod);
  get action(): string;
  set action(value: string);
  addInput(formInputObj: object): void;

  constructForm(): HTMLFormElement;
  insert(targetElement: HTMLElement): void;
  submit(): void;
}
